Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpTransaction.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchStepUpTransactionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpTransaction.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/step-up/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>",
"providerId": "<string>",
"taskId": "<string>",
"userId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/step-up/transactions"
payload = {
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>",
"providerId": "<string>",
"taskId": "<string>",
"userId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAfter: '2023-11-07T05:31:56Z',
createdBefore: '2023-11-07T05:31:56Z',
pageSize: 123,
pageToken: '<string>',
providerId: '<string>',
taskId: '<string>',
userId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/step-up/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"approveTask": {
"policyStepId": "<string>",
"taskId": "<string>"
},
"claims": {},
"createdAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"providerId": "<string>",
"test": {},
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"nextPageToken": "<string>"
}Step Up Authentication Transactions
Search
Search allows searching for step-up transactions with various filters
POST
/
api
/
v1
/
search
/
step-up
/
transactions
Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpTransaction.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchStepUpTransactionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpTransaction.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Request message for searching step-up transactions
Maximum number of results to return
Token for pagination
Filter by provider ID
Filter by transaction state
Available options:
STEP_UP_TRANSACTION_STATE_UNSPECIFIED, STEP_UP_TRANSACTION_STATE_PENDING, STEP_UP_TRANSACTION_STATE_VERIFIED, STEP_UP_TRANSACTION_STATE_ERROR The targetType field.
Available options:
TARGET_TYPE_UNSPECIFIED, TARGET_TYPE_TICKET, TARGET_TYPE_TEST Filter by task ID (only applicable if target_type is TICKET)
Filter by user ID
Response
200 - application/json
Response message for searching step-up transactions
Was this page helpful?
⌘I